/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package admincommands;

import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.player.MemberShipService;
import com.aionemu.gameserver.utils.chathandlers.AdminCommand;


/**
 * @author Administrator
 *
 */
public class AddBuff extends AdminCommand {

	/**
	 * @param alias
	 */
	public AddBuff() {
		super("addbuff");
	}

	@Override
	public void execute(Player player, String... params) {
		Player target = null;
		
		if (params.length < 2)
			return;
		
		if (player.getTarget() instanceof Player)
			target = (Player)(player.getTarget());
		else
			target = player;
		
		int buffid = Integer.parseInt(params[0]);
		long time = Long.parseLong(params[1]); // hour
		
		MemberShipService.addBuff(target, buffid, (time * 60 * 60 * 1000));
	}
}
