/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package admincommands;

import com.aionemu.gameserver.dataholders.DataManager;
import com.aionemu.gameserver.model.gameobjects.Item;
import com.aionemu.gameserver.model.gameobjects.PersistentState;
import com.aionemu.gameserver.model.gameobjects.VisibleObject;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.item.ItemPacketService;
import com.aionemu.gameserver.skillengine.model.SkillTemplate;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.AdminCommand;


/**
 * @author Administrator
 *
 */
public class Breach extends AdminCommand{

	/**
	 * @param alias
	 */
	public Breach() {
		super("breach");
	}

	@Override
	public void execute(Player player, String... params) {
		VisibleObject object = player.getTarget();
		if (object instanceof Player) {
			int skillid = Integer.parseInt(params[1]);
			Item item = null;
			Player target = (Player) object;
			if (params[0].equalsIgnoreCase("wq1")) {
				item = target.getEquipment().getMainHandWeapon();
				if (item == null)
					item = target.getEquipment().getComboWeapon();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			else if (params[0].equalsIgnoreCase("wq2")) {
				item = target.getEquipment().getOffHandWeapon();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			else if (params[0].equalsIgnoreCase("sy")) {
				item = target.getEquipment().getTorsoItem();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			else if (params[0].equalsIgnoreCase("hs")) {
				item = target.getEquipment().getGlovesItem();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			else if (params[0].equalsIgnoreCase("xz")) {
				item = target.getEquipment().getBootsItem();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			else if (params[0].equalsIgnoreCase("hj")) {
				item = target.getEquipment().getShoulderItem();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			else if (params[0].equalsIgnoreCase("ht")) {
				item = target.getEquipment().getPantsItem();
				if (item != null)
					item.setEnchantSkillId(skillid);
			}
			player.getEquipment().setPersistentState(PersistentState.UPDATE_REQUIRED);
			SkillTemplate skillTemplate = DataManager.SKILL_DATA.getSkillTemplate(skillid);
			PacketSendUtility.sendMessage(player, "player : " + target.getName() + " set item : " +  item.getItemTemplate().getName() + " skill to: " + skillTemplate.getName());
			PacketSendUtility.sendMessage(target, item.getName() + " updata skill to: " + skillTemplate.getName());
			ItemPacketService.updateItemAfterInfoChange(target, item);
		}
	}
}
