/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package admincommands;

import com.aionemu.gameserver.model.gameobjects.VisibleObject;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.MotionTimeService;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.AdminCommand;

/**
 * @author kecimis
 *
 */
public class Motion extends AdminCommand {

	public Motion() {
		super("motion");
	}

	@Override
	public void execute(Player player, String... params) {
		if (params.length == 0) {
			onFail(player, "");
			return;
		}
		if (params[0].equalsIgnoreCase("help")) {
			onFail(player, "");
			PacketSendUtility.sendMessage(player, "//motion start - starts MotionTimeService");
			PacketSendUtility.sendMessage(player, "//motion close - closeed MotionTimeService");
			PacketSendUtility.sendMessage(player, "//motion playerstart - starts MotionTimeService");
			PacketSendUtility.sendMessage(player, "//motion save - saves content of MotionTimeService to database");
			PacketSendUtility.sendMessage(player, "//motion reload - reload MotionTimeService");
		}
		else if (params[0].equalsIgnoreCase("start")) {
			MotionTimeService.getInstance().Start();
			PacketSendUtility.sendMessage(player, "MotionTimeService was started!");
		}
		else if (params[0].equalsIgnoreCase("close")) {
			MotionTimeService.getInstance().Close();
			PacketSendUtility.sendMessage(player, "MotionTimeService was closeed!");
		}
		else if (params[0].equalsIgnoreCase("playerstart")) {
			Player target = null;
			VisibleObject creature = player.getTarget();
			if (player.getTarget() instanceof Player) {
				target = (Player) creature;
				MotionTimeService.getInstance().Start(target.getObjectId());
				PacketSendUtility.sendMessage(player, "MotionTimeService was started!\n only reload " + target.getName() + " skill motion data!");
			}
		}
		else if (params[0].equalsIgnoreCase("save")) {
			MotionTimeService.getInstance().saveMotionTimes(false);
			PacketSendUtility.sendMessage(player, "Motion data saved to sql!");
		}
		else if (params[0].equalsIgnoreCase("updata")) {
			MotionTimeService.getInstance().saveMotionTimes(true);
			PacketSendUtility.sendMessage(player, "Motion data updata!");
		}
		else if (params[0].equalsIgnoreCase("reload")) {
			MotionTimeService.getInstance().reload();
			PacketSendUtility.sendMessage(player, "Reload Motion data for sql!");
		}
		else
			onFail(player, "");
	}
	
	@Override
	public void onFail(Player player, String message) {
		PacketSendUtility.sendMessage(player, "syntax: //motion <HELP|analyze|savetosql|advanced|as>");
	}
}
