/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom;

import java.util.Calendar;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * @author zxl001
 * 自定义传送npc功能AI
 * 魔族传送
 */
@AIName("amo_custom_portal")
public class AmoCustomTeleport extends NpcAI2 {
	
	@Override
	protected void handleDialogStart(Player player) {
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 10));
	}

	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {

		switch (dialogId) {
			case 10000:
				return TeleportService2.teleportTo(player, 600100000, 875.7937f, 952.52875f, 325.07898f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10001:
				return TeleportService2.teleportTo(player, 600010000, 1303.955f, 720.54584f, 346.50525f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10002:
				return TeleportService2.teleportTo(player, 600010000, 862.1389f, 975.21515f, 322.289f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10003:
				return TeleportService2.teleportTo(player, 600100000, 331.9042f, 1414.5286f, 244.18717f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10004:
				return TeleportService2.teleportTo(player, 600090000, 757.71674f, 996.2086f, 160.7574f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10005:
			case 10006:
			case 10007:
			case 10008:
				return true;
			case 10009:
				return TeleportService2.teleportTo(player, 600010000, 1412.8503f, 767.0827f, 312.77734f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10010:
			case 10011:
			case 10012:
			case 10013:
			case 10014:
			case 10015:
			case 10016:
			case 10017:
			    return true;
			case 10018:
				return TeleportService2.teleportTo(player, 220110000, 101.716095f, 2492.127f, 259.04343f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10019:
				return TeleportService2.teleportTo(player, 220080000, 124.71945f, 547.64655f, 226.7412f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10020:
				return TeleportService2.teleportTo(player, 600090000, 1131.2329f, 311.89084f, 132.92976f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10021:
			case 10022:
			case 10023:
			case 10024:
			case 10025:
			case 10026:
                return true;
			case 10027:
				return TeleportService2.teleportTo(player, 220070000, 1829.8951f, 1587.7262f, 358.25f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10028:
				return TeleportService2.teleportTo(player, 220070000, 1362.6522f, 1779.551f, 340.97192f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10029:
				return TeleportService2.teleportTo(player, 210050000, 408.54727f, 2058.0588f, 331.13605f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10030:
				return TeleportService2.teleportTo(player, 210050000, 1673.2906f, 1799.3354f, 245.5f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10031:
				return TeleportService2.teleportTo(player, 600090000, 1063.3769f, 419.76474f, 186.56308f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			case 10032:
			case 10033:
			case 10034:
			case 10035:
			    return true;
			case 10036:
			case 10037:
			case 10038:
			case 10039:
			case 10040:
			case 10041:
			case 10042:
			case 10043:
			case 10044:
			    return true;
			case 10045:
			case 10046:
			case 10047:
			case 10048:
			case 10049:
			case 10050:
			case 10051:
			case 10052:
			case 10053:
			    return true;
			case 10054:
			case 10055:
			case 10056:	
			case 10057:	
			case 10058:	
			case 10059:	
			case 10060:	
			case 10061:	
			case 10062:	
				return true;
			case 10063:	
            case 10064:	
			case 10065:	
			case 10066:	
			case 10067:	
			case 10068:	
			case 10069:	
			case 10070:	
			case 10071:	
				return true;
			case 10072:	
			case 10073:	
			case 10074:	
			case 10075:	
			case 10076:	
			case 10077:	
			case 10078:	
			case 10079:	
			case 10080:	
				return true;
 			
		}
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), dialogId));
		return false;
	}
	
	private boolean checkTime() {
		Calendar calendar = Calendar.getInstance();
		int hour = calendar.get(Calendar.HOUR_OF_DAY);
		if (hour >= 19 && hour < 20 || hour >= 22 && hour < 23)
			return true;
		return false;
	}
}
