/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom;

import java.util.Arrays;
import java.util.List;

import ai.AggressiveNpcAI2;

import com.aionemu.commons.utils.Rnd;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.templates.spawns.SpawnTemplate;
import com.aionemu.gameserver.spawnengine.SpawnEngine;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.ThreadPoolManager;
import com.aionemu.gameserver.world.knownlist.Visitor;

/**
 * @author zxl001
 */
@AIName("die_spawn")
public class CustomDieSpawnAI extends AggressiveNpcAI2 {

	private int spawn_time = 60;
	private List<Integer> npcIds = null;
	private List<Integer> dieIds = null;
	@Override
	protected void handleDied() {
		
		switch(getNpcId()) {
			case 0000000:
				npcIds = Arrays.asList(100000,200000,300000);
				break;
		}
		
		if (npcIds == null)
			return;
		
		getPosition().getWorldMapInstance().doOnAllPlayers(new Visitor<Player>() {
			
			@Override
			public void visit(Player object) {
				PacketSendUtility.sendMessage(object, "下一波怪物将在 " + spawn_time + " 秒后刷新!");
			}
		});
		
		ThreadPoolManager.getInstance().schedule(new Runnable() {
			
			@Override
			public void run() {
				for (int npcid : npcIds) {
					int x = 343 + Rnd.get(-10, 10);
					int y = 349 + Rnd.get(-10, 10);
					SpawnTemplate template = SpawnEngine.addNewSingleTimeSpawn(getOwner().getWorldId(), npcid, x, y, 96.1f, getOwner().getHeading());
					SpawnEngine.spawnObject(template, getOwner().getInstanceId());
				}
			}
		}, spawn_time * 1000);
	}
}
