/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.custom;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;
import com.aionemu.gameserver.network.aion.serverpackets.SM_SYSTEM_MESSAGE;
import com.aionemu.gameserver.services.custom.EventType;
import com.aionemu.gameserver.services.instance.AutoMaskInstance;
import com.aionemu.gameserver.services.instance.DredgionService2;
import com.aionemu.gameserver.utils.PacketSendUtility;

import ai.portals.PortalDialogAI2;

/**
 * @author 81002
 */
@AIName("custom_pvparea_portal")
public class CustomPvpAreaAI2 extends PortalDialogAI2 {
	
	@Override
	protected void handleDialogStart(Player player) {
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 1011));
	}

	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		switch(dialogId) {
			case 10000:
				AutoMaskInstance ami = DredgionService2.getInstance().getAutoMaskInstance(800);
				if (!ami.IsStartReg()) {
					PacketSendUtility.sendPacket(player, new SM_SYSTEM_MESSAGE(1401306, ami.getAutoGroup().getWorldId()));
					return true;
				}
				if (!player.getEventInfo().checkCount(EventType.Event_1vs1)) {
					return true;
				}
				DredgionService2.getInstance().showWindow(player, 800);
				PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 0));
				return true;
			case 10001:
				AutoMaskInstance ami1 = DredgionService2.getInstance().getAutoMaskInstance(801);
				if (!ami1.IsStartReg()) {
					PacketSendUtility.sendPacket(player, new SM_SYSTEM_MESSAGE(1401306, ami1.getAutoGroup().getWorldId()));
					return true;
				}
				if (!player.getEventInfo().checkCount(EventType.Event_3vs3)) {
					return true;
				}
				DredgionService2.getInstance().showWindow(player, 801);
				PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 0));
				return true;
		}
		return true;
	}
}
