/**
 * This file is part of Aion-Lightning <aion-lightning.org>.
 *
 *  Aion-Lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aion-Lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. *
 *  You should have received a copy of the GNU General Public License
 *  along with Aion-Lightning.
 *  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.abyssal_splinter;

import ai.AggressiveNpcAI2;
import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.Creature;
import java.util.concurrent.atomic.AtomicBoolean;

/**
 * @author Luzien, Ritsu
 */
@AIName("dayshade")
public class DayshadeAI2 extends AggressiveNpcAI2 {

	private AtomicBoolean isHome = new AtomicBoolean(true);

	@Override
    protected void handleAttack(Creature creature) {
		super.handleAttack(creature);
		if (isHome.compareAndSet(true, false)) {
			AI2Actions.dieSilently(this, creature);
			spawn(216949, 455.5502f, 702.09485f, 433.13727f, (byte) 108); // ebonsoul
			spawn(216948, 447.1937f, 683.72217f, 433.1805f, (byte) 108); // rukril
			AI2Actions.deleteOwner(DayshadeAI2.this);
		}
	}

	@Override
    protected void handleBackHome() {
		super.handleBackHome();
		isHome.set(true);
	}
}
