/*
 * This file is part of aion-lightning <aion-lightning.org>
 * 
 * aion-lightning is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * aion-lightning is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with aion-lightning. If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.empyreanCrucible;

import ai.AggressiveNpcAI2;
import com.aionemu.commons.network.util.ThreadPoolManager;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.Npc;

/**
 *
 * @author Luzien
 */
@AIName("takun_gojira")
public class TakunGojiraAI2 extends AggressiveNpcAI2 {
	
	private Npc counterpart;
	
	@Override
	public void handleSpawned() {
		super.handleSpawned();
			ThreadPoolManager.getInstance().schedule(new Runnable() {
			
				@Override
				public void run() {
					counterpart = getPosition().getWorldMapInstance().getNpc(getNpcId() == 217596 ? 217597 : 217596);
					if (counterpart != null)
						getAggroList().addHate(counterpart, 1000000);
			}
		}, 500);
	}
	
}