/**
 * This file is part of Aion-Lightning <aion-lightning.org>.
 *
 *  Aion-Lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Aion-Lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details. *
 *  You should have received a copy of the GNU General Public License
 *  along with Aion-Lightning.
 *  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.sauroSupplyBase;


import ai.AggressiveNpcAI2;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.skillengine.SkillEngine;
import com.aionemu.gameserver.utils.ThreadPoolManager;

/**
 * @author Alcapwnd
 */

@AIName("dagger_invisible")
public class InvisibleDaggerAI2 extends AggressiveNpcAI2 {
	

	@Override
	protected void handleSpawned() {
		DaggerBless(3000);
		DaggerBless(4000);
		super.handleSpawned();
	  }
   
	private void InvisibleDaggerBless(int skillId) {
		SkillEngine.getInstance().getSkill(getOwner(), skillId, 60, getOwner()).useNoAnimationSkill();
		}
	
	private void DaggerBless(final int time) {
		ThreadPoolManager.getInstance().schedule(new Runnable() {
	
	@Override
	public void run() {
			if (time == 3000) {
				InvisibleDaggerBless(21135);
			    }
			if (time == 4000) {
				InvisibleDaggerBless(20251);
			    }
		    }
    }, time);
  }
}