/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.sauroSupplyBase;

import com.aionemu.gameserver.model.gameobjects.Item;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;
import com.aionemu.gameserver.network.aion.serverpackets.SM_DIALOG_WINDOW;


/**
 * @author aioncool
 *
 */
@AIName("saurobossportal")
public class SauroBossPortalAI2 extends NpcAI2 {

	@Override
	protected void handleDialogStart(Player player) {
		PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 1011));
	}

	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		long keyCount = ((Item)player.getInventory().getFirstItemByItemId(185000179) != null ? ((Item)player.getInventory().getFirstItemByItemId(185000179)).getItemCount() : 0);
		boolean spawnportal = false;
		int portal = 0;
		switch (dialogId) {
			case 20008:
				if (keyCount >= 1) {
					spawnportal = true;
					portal = 730876;
				}
				break;
			case 20009:
				if (keyCount >= 2) {
					spawnportal = true;
					portal = 730877;
				}
				break;
		}
		if (spawnportal) {
			player.getInventory().decreaseByItemId(185000179, keyCount);
			spawn(portal, 127.4f, 432.7f, 151.0f, (byte) 118);
			PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 0));
			AI2Actions.deleteOwner(this);
		}
		else {
			PacketSendUtility.sendPacket(player, new SM_DIALOG_WINDOW(getObjectId(), 1352));
		}
		return true;
	}
}