/*
 * This file is part of Aion-Finish <Aion-Finish.org>
 *
 * Aion-Finish is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Aion-Finish is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Aion-Finish. If not, see <http://www.gnu.org/licenses/>.
 */
package ai.instance.theHexway;

import ai.ActionItemNpcAI2;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.teleport.TeleportService2;

/**
 * Author Ranastic
 **/
@AIName("shiningmagicward")
public class ShiningMagicWardAI2 extends ActionItemNpcAI2 {

	@Override
	protected void handleUseItemFinish(Player player) {
		switch (getNpcId()) {
			case 700455: // Shining Magic Ward.
				switch (player.getWorldId()) {
					case 300080000: // Left Wing Chamber.
						TeleportService2.teleportTo(player, 400010000, 2784.99f, 2664.03f, 1486.7f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
						break;
				}
				switch (player.getWorldId()) {
					case 300700000: // The Hexway 4.3.
						TeleportService2.teleportTo(player, 600010000, 528.2289f, 767.2058f, 867.7978f, (byte) 60, TeleportAnimation.BEAM_ANIMATION);
						break;
				}
				break;
		}
	}
}
