/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.portals.barunadimensionalLab;

import java.util.List;

import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.world.World;

import ai.portals.PortalDialogAI2;

/**
 * @author zxl001
 */
@AIName("baruna_dimensional_portal_dialog")
public class BarunaDimensionalLabPortalDialogAI2 extends PortalDialogAI2 {

	@Override
	protected void handleDialogStart(Player player) {
		super.handleDialogStart(player);
	}

	@Override
	public boolean onDialogSelect(Player player, int dialogId, int lastPage, int questId, int extendedRewardIndex) {
		
		if (questId != 0) {
			super.onDialogSelect(player, dialogId, lastPage, questId, extendedRewardIndex);
			return true;
		}
		
		long count = player.getInventory().getItemCountByItemId(185000196);
		
		boolean isSelect = false;
		Npc npc = getPosition().getWorldMapInstance().getNpc(233898);
		switch (dialogId) {
			case 20007:
				if (count >= 1) {
					isSelect = true;
				}
				break;
			case 20008:
				if (count >= 5) {
					isSelect = true;
					spawn(player.getWorldId(), 234990, 245.272964f, 265.917084f, 312.323628f, (byte) 64, 0, player.getInstanceId());
				}
				break;
			case 20009:
				if (count >= 7) {
					isSelect = true;
					spawn(player.getWorldId(), 234991, 245.272964f, 265.917084f, 312.323628f, (byte) 64, 0, player.getInstanceId());
				}
				break;
		}
		if (isSelect) {
			player.getInventory().decreaseByItemId(185000196, count);
			TeleportService2.teleportTo(player, player.getWorldId(), player.getInstanceId(), 213.0f, 260.0f, 313.61844f, (byte) 0, TeleportAnimation.BEAM_ANIMATION);
			if (npc != null && dialogId != 20007)
				npc.getController().delete();
			spawn(player.getWorldId(), 702592, 161.433884f, 258.7004f, 314.718933f, (byte) 0, 51, player.getInstanceId());
			AI2Actions.deleteOwner(this);
		}
		return true;
	}

	@Override
	protected void handleUseItemFinish(Player player) {
		super.handleUseItemFinish(player);
	}
}
