/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.quests;

import java.util.concurrent.Future;

import com.aionemu.commons.network.util.ThreadPoolManager;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.NpcAI2;


/**
 * @author Cheatkiller
 *
 */
@AIName("Q20060")
public class GarnonQ20060AI2 extends NpcAI2 {
	
	private Future<?> task;
	
	
	@Override
  protected void handleDespawned() {
  	super.handleDespawned();
  	if (task != null && !task.isDone())
			task.cancel(true);
  }
  
  @Override
  protected void handleSpawned() {
  	super.handleSpawned();
  	despawn();
  }
  
  private void despawn() {
  	task = ThreadPoolManager.getInstance().schedule(new Runnable() {

  		@Override
  		public void run() {
  			spawn(800020, 442.279f, 464.349f, 341.520f, (byte) 20);
  			getOwner().getController().onDelete();
  		}
  	}, 60000 * 3);
  }
}
