/*
 * This file is part of Aion-Finish <Ver:4.0>
 *
 *  Eridian is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Eridian Emu is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Aion-Finish.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.worlds;

import ai.ActionItemNpcAI2;
import com.aionemu.gameserver.ai2.AI2Actions;
import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.ai2.poll.AIAnswer;
import com.aionemu.gameserver.ai2.poll.AIAnswers;
import com.aionemu.gameserver.ai2.poll.AIQuestion;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.skillengine.SkillEngine;

import java.util.concurrent.atomic.AtomicBoolean;

/**
 * @author Ixren
 */
@AIName("legiondefensive_cannon")
public class LegionDefensiveCannonAI2 extends ActionItemNpcAI2 {

	private AtomicBoolean canUse = new AtomicBoolean(true);

	@Override
	protected void handleUseItemFinish(Player player) {

		if (canUse.compareAndSet(true, false)) {
			int morphSkill = getMorphSkill();
			SkillEngine.getInstance().getSkill(getOwner(), morphSkill >> 8, morphSkill & 0xFF, player).useNoAnimationSkill();
			AI2Actions.deleteOwner(this);
		}
	}

	private int getMorphSkill() {
		switch (getNpcId()) {
			case 272267:
				return 0x4F8D3C;
			case 272268:
				return 0x4F8C3C;
			case 272269:
				return 0x4F8D3C;
			case 272270:
				return 0x4F8C3C;

			case 273313:
				return 0x4F8D3C;
			case 273314:
				return 0x4F8C3C;
			case 273315:
				return 0x4F8D3C;
			case 273316:
				return 0x4F8C3C;

			case 272342:
				return 0x4F8D3C;
			case 272343:
				return 0x4F8C3C;
			case 272344:
				return 0x4F8D3C;
			case 272345:
				return 0x4F8C3C;
			case 272346:
				return 0x4F8D3C;
			case 272347:
				return 0x4F8C3C;
			case 272348:
				return 0x4F8D3C;
			case 272349:
				return 0x4F8C3C;
			case 272350:
				return 0x4F8D3C;
			case 272351:
				return 0x4F8C3C;
			case 272352:
				return 0x4F8D3C;
			case 272353:
				return 0x4F8C3C;
			case 272354:
				return 0x4F8D3C;
			case 272355:
				return 0x4F8C3C;
			case 272356:
				return 0x4F8D3C;
			case 272357:
				return 0x4F8C3C;
			case 272358:
				return 0x4F8D3C;
			case 272359:
				return 0x4F8C3C;
			case 272360:
				return 0x4F8D3C;
			case 272361:
				return 0x4F8C3C;

			case 272841:
				return 0x4F8D3C;
			case 272842:
				return 0x4F8C3C;
			case 272843:
				return 0x4F8D3C;
			case 272844:
				return 0x4F8C3C;
			case 272845:
				return 0x4F8D3C;
			case 272846:
				return 0x4F8C3C;
			case 272847:
				return 0x4F8D3C;
			case 272848:
				return 0x4F8C3C;
			case 272849:
				return 0x4F8D3C;
			case 272850:
				return 0x4F8C3C;
			case 272851:
				return 0x4F8D3C;
			case 272852:
				return 0x4F8C3C;
			case 272853:
				return 0x4F8D3C;
			case 272854:
				return 0x4F8C3C;
			case 272855:
				return 0x4F8D3C;
			case 272856:
				return 0x4F8C3C;
			case 272857:
				return 0x4F8D3C;
			case 272858:
				return 0x4F8C3C;
			case 272859:
				return 0x4F8D3C;
			case 272860:
				return 0x4F8C3C;
			case 272861:
				return 0x4F8C3C;
			case 272862:
				return 0x4F8D3C;
			case 272863:
				return 0x4F8C3C;
			case 272864:
				return 0x4F8D3C;
			case 272865:
				return 0x4F8C3C;
			case 272866:
				return 0x4F8C3C;

			case 273344:
				return 0x4F8D3C;
			case 273345:
				return 0x4F8C3C;
			case 273346:
				return 0x4F8D3C;
			case 273347:
				return 0x4F8C3C;
			case 273348:
				return 0x4F8D3C;
			case 273349:
				return 0x4F8C3C;
			case 273350:
				return 0x4F8D3C;
			case 273351:
				return 0x4F8C3C;
			case 273353:
				return 0x4F8D3C;
			case 273354:
				return 0x4F8C3C;
			case 273355:
				return 0x4F8D3C;
			case 273356:
				return 0x4F8C3C;
			case 273357:
				return 0x4F8D3C;
			case 273358:
				return 0x4F8C3C;
			case 273359:
				return 0x4F8D3C;
			case 273360:
				return 0x4F8C3C;

			case 801572:
				return 0x4F8D3C;
			case 801573:
				return 0x4F8C3C;
			case 801574:
				return 0x4F8D3C;
			case 801575:
				return 0x4F8C3C;
			case 801576:
				return 0x4F8D3C;
			case 801577:
				return 0x4F8C3C;
			case 801578:
				return 0x4F8D3C;
			case 801579:
				return 0x4F8C3C;
			case 801580:
				return 0x4F8D3C;
			case 801581:
				return 0x4F8C3C;
			case 801582:
				return 0x4F8D3C;
			case 801583:
				return 0x4F8C3C;
			case 801584:
				return 0x4F8D3C;
			case 801585:
				return 0x4F8C3C;
			case 801586:
				return 0x4F8D3C;
			case 801587:
				return 0x4F8C3C;
		}
		return 0;
	}

	@Override
	protected AIAnswer pollInstance(AIQuestion question) {
		switch (question) {
			case SHOULD_REWARD:
				return AIAnswers.NEGATIVE;
			default:
				return super.pollInstance(question);
		}
	}
}