/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package ai.worlds.kataramunderground;

import com.aionemu.gameserver.ai2.AIName;
import com.aionemu.gameserver.model.gameobjects.Npc;

import ai.NoActionAI2;


/**
 * @author zxl001
 */
@AIName("coffin")
public class CoffinAI2 extends NoActionAI2 {
	
	@Override
	protected void handleDied() {
		super.handleDied();
		spawn(284262, 382.3388f, 892.4802f, 559.375f, (byte) 1);
		getOwner().getController().delete();
	}
	
	@Override
	protected void handleSpawned() {
		super.handleSpawned();
		Npc npc = getOwner().getPosition().getWorldMapInstance().getNpc(284262);
		if (npc != null && npc.isSpawned())
			npc.getController().delete();
	}

	@Override
	public int modifyDamage(int damage) {
		return 1;
	}
}
