/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import java.util.Map.Entry;

import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.gameobjects.player.PortalCooldown;
import com.aionemu.gameserver.network.aion.serverpackets.SM_INSTANCE_INFO;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;
import com.aionemu.gameserver.world.World;

/**
 * @author zxl001
 */
public class ClearUserCoolt extends GameUICommand {

	/**
	 * @param alias
	 */
	public ClearUserCoolt() {
		super("clearusercoolt");
	}
	
	@Override
	public void execute(Player player, String... params) {

		Player target = World.getInstance().findPlayer(params[0]);
		
		if (target != null) {
			if (target.getPortalCooldownList() == null || target.getPortalCooldownList().getPortalCoolDowns() == null)
				return;
			for (Entry<Integer, PortalCooldown> syncId : target.getPortalCooldownList().getPortalCoolDowns().entrySet())
				target.getPortalCooldownList().removePortalCoolDown(syncId.getKey());
			PacketSendUtility.sendPacket(target, new SM_INSTANCE_INFO(target, false));
		}
	}
}
