/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.model.gameobjects.Item;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.item.ItemPacketService;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;


/**
 * @author zxl001
 */
public class SetEnchantCount extends GameUICommand {

	/**
	 * @param alias
	 */
	public SetEnchantCount() {
		super("set_enchantcount");
	}
	
	@Override
	public void execute(Player player, String... params) {
		int objectid = Integer.parseInt(params[0]);
		int enchantLevel = Integer.parseInt(params[1]);
		int enchantBouns = Integer.parseInt(params[2]);
		Item item = player.getInventory().getItemByObjId(objectid);
		if (item != null) {
			item.setEnchantLevel(item.getEnchantLevel() + enchantLevel);
			item.setEnchantBouns(item.getEnchantBouns() + enchantBouns);
			ItemPacketService.updateItemAfterInfoChange(player, item);
		}
	}
}
