/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.dataholders.DataManager;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.model.templates.NamePath;
import com.aionemu.gameserver.model.templates.PathType;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;


/**
 * @author zxl001
 */
public class TeleportToNamed extends GameUICommand {

	/**
	 * @param alias
	 */
	public TeleportToNamed() {
		super("teleport_to_named");
	}
	
	@Override
	public void execute(Player player, String... params) {
		NamePath npcs = DataManager.NAME_PATH_DATA.getNamePathForTypeId(PathType.NPC.getId());
		int npcid = npcs.getObjectId(params[0].toUpperCase());
		if (npcid > 0) {
			TeleportService2.teleportToNpc(player, npcid);
		}
	}
}
