/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package gameuicommands;

import com.aionemu.gameserver.model.gameobjects.VisibleObject;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.services.item.ItemService;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.utils.chathandlers.GameUICommand;


/**
 * @author zxl001
 */
public class WishId extends GameUICommand {

	/**
	 * @param alias
	 */
	public WishId() {
		super("wishid");
	}
	
	@Override
	public void execute(Player player, String... params) {
		int count = Integer.parseInt(params[0]);
		int itemId = Integer.parseInt(params[1]);
		VisibleObject target = player.getTarget();
		if (target == null)
			target = player;
		if (!(target instanceof Player))
			target = player;
		Player targetPlayer = (Player) target;
		ItemService.addItem(targetPlayer, itemId, count);
		PacketSendUtility.sendMessage(player, "add item [item:" + itemId +"] x " + count +" to : " + targetPlayer.getName());
	}
}
