/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package instance;

import java.util.Map;

import com.aionemu.gameserver.instance.handlers.GeneralInstanceHandler;
import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.StaticDoor;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_PLAY_MOVIE;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.world.WorldMapInstance;

/**
 * @author zxl001
 */
@InstanceID(MapID = 301570000, InstanceMaskID = 0)
public class KnowledgelibraryInstance extends GeneralInstanceHandler {

	private Map<Integer, StaticDoor> doors;
	private int killCount = 0;

	@Override
	public void onEnterInstance(Player player) {
		super.onEnterInstance(player);
	}

	// private void sendMovie(Player player, int movie) {
	// PacketSendUtility.sendPacket(player, new SM_PLAY_MOVIE(0, movie));
	// }

	@Override
	public void onDie(Npc npc) {
		switch (npc.getNpcId()) {
			case 857782:
				killCount++;
				if (killCount == 3) {
					doors.get(53).setOpen(true);
					doors.get(56).setOpen(true);
					killCount = 0;
				}
				break;
			case 857901:
				killCount++;
				if (!doors.get(384).isOpen()) {
					doors.get(384).setOpen(true);
					doors.get(21).setOpen(true);
					sendMsg(1403302);
					killCount = 0;
				}
				else if (killCount == 4) {
					doors.get(67).setOpen(true);
					doors.get(54).setOpen(true);
					sendMsg(1403302);
					killCount = 0;
				}
				break;
			case 857783:
				doors.get(252).setOpen(true);
				doors.get(33).setOpen(true);
				sendMsg(1403302);
				break;
			case 857902:
				killCount++;
				if (killCount == 6) {
					doors.get(449).setOpen(true);
					doors.get(55).setOpen(true);
					sendMsg(1403302);
					killCount = 0;
				}
				break;
			case 857784:
				doors.get(64).setOpen(true);
				doors.get(27).setOpen(true);
				sendMsg(1403302);
				break;
			case 857948:
				killCount++;
				if (killCount == 6) {
					doors.get(311).setOpen(true);
					doors.get(57).setOpen(true);
					sendMsg(1403302);
					killCount = 0;
				}
				break;
			case 857903:
				doors.get(77).setOpen(true);
				doors.get(52).setOpen(true);
				sendMsg(1403302);
				break;
			case 857914:
				killCount++;
				if (killCount == 8) {
					doors.get(24).setOpen(true);
					doors.get(26).setOpen(true);
					sendMsg(1403302);
					killCount = 0;
				}
				break;
			case 857916:
				doors.get(421).setOpen(true);
				doors.get(65).setOpen(true);
				sendMsg(1403303);
				break;
			case 857785:
				doors.get(90).setOpen(true);
				break;
		}
	}

	@Override
	public void onInstanceDestroy() {
		doors.clear();
	}

	@Override
	public void onInstanceCreate(WorldMapInstance instance) {
		super.onInstanceCreate(instance);
		doors = instance.getDoors();
	}
}
