/*
 * This file is part of aion-lightning <aion-lightning.com>.
 *
 *  aion-lightning is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  aion-lightning is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with aion-lightning.  If not, see <http://www.gnu.org/licenses/>.
 */
package instance;

import com.aionemu.gameserver.instance.handlers.GeneralInstanceHandler;
import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.Race;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_PLAY_MOVIE;
import com.aionemu.gameserver.utils.PacketSendUtility;

/**
 * @author zxl001
 */
@InstanceID(MapID = 301580000, InstanceMaskID = 0)
public class UndergroundPrisonInstance extends GeneralInstanceHandler {
	
	@Override
	public void onEnterInstance(Player player) {
		player.getMoveController().abortMove();
		if (player.getRace() == Race.ASMODIANS) {
			sendMovie(player, 867);
		}
		else {
			sendMovie(player, 995);
		}
		spawn(player.getRace());
	}
	
	private void spawn(Race race) {
		if (race == Race.ASMODIANS) {
			spawn(806080, 432.79803f, 481.22f, 99.599144f, (byte) 30);
			spawn(806190, 432.53592f, 476.0136f, 100.88896f, (byte) 0, 20);
		}
		else {
			spawn(806076, 432.79803f, 481.22f, 99.599144f, (byte) 30);
			spawn(806189, 432.53592f, 476.0136f, 100.88896f, (byte) 0, 20);
		}
	}

	private void sendMovie(Player player, int movie) {
			PacketSendUtility.sendPacket(player, new SM_PLAY_MOVIE(0, movie));
	}
}
