/*
 * This file is part of aion-lightning <aion-lightning.org>
 *
 * aion-lightning is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * aion-lightning is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with aion-lightning. If not, see <http://www.gnu.org/licenses/>.
 */
package instance.steelrosecargo;

import com.aionemu.commons.network.util.ThreadPoolManager;
import com.aionemu.gameserver.instance.handlers.GeneralInstanceHandler;
import com.aionemu.gameserver.instance.handlers.InstanceID;
import com.aionemu.gameserver.model.TeleportAnimation;
import com.aionemu.gameserver.model.gameobjects.Npc;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.network.aion.serverpackets.SM_QUEST_ACTION;
import com.aionemu.gameserver.network.aion.serverpackets.SM_SYSTEM_MESSAGE;
import com.aionemu.gameserver.services.teleport.TeleportService2;
import com.aionemu.gameserver.utils.PacketSendUtility;
import com.aionemu.gameserver.world.knownlist.Visitor;

/**
 * Author zxl001
 **/
@InstanceID(MapID = 301050000, InstanceMaskID = 0)
public class Steel_Rose_Deck_Group extends GeneralInstanceHandler {

	private boolean deletekey = false;
	
	@Override
	public void onDie(Npc npc) {
		Player player = npc.getAggroList().getMostPlayerDamage();
		switch (npc.getNpcId()) {
			case 230727:
				spawn(230728, 531.140869f, 445.865662f, 1021.27472f, (byte) 30);
				break;
			case 230728:
				spawn(230729, 596.422f, 569.780945f, 1021.32532f, (byte) 75);
				break;
			case 230729:
				spawn(230730, 635.569f, 539.421448f, 1031.04419f, (byte) 32);
				break;
			case 230730:
				spawn(230741, 488.823029f, 508.6815f, 1032.83838f, (byte) 0);
				break;
			case 230743:
				PacketSendUtility.sendPacket(player, new SM_QUEST_ACTION(0, 120));
				ThreadPoolManager.getInstance().schedule(new Runnable() {

					@Override
					public void run() {
						instance.doOnAllPlayers(new Visitor<Player>() {

							@Override
							public void visit(Player player) {
								onExitInstance(player);
							}
						});
						onInstanceDestroy();
					}
				}, 120000);
				break;
		}
	}
	
	@Override
	public void handleUseItemFinish(Player player, Npc npc) {
		
		switch (npc.getNpcId()) {
			case 730782:
				if (!deletekey) {
					if (player.getInventory().decreaseByItemId(185000150, 1))
						deletekey = true;
					else {
						PacketSendUtility.sendPacket(player, SM_SYSTEM_MESSAGE.STR_CANNOT_OPEN_DOOR_NEED_KEY_ITEM);
						break;
					}
				}
				TeleportService2.teleportTo(player, 301050000, 725.82654f, 508.67712f, 1012.68494f, (byte) 1, TeleportAnimation.BEAM_ANIMATION);
				break;
		}
	}
}
