package quest.danaria;

import com.aionemu.gameserver.model.gameobjects.Item;
import com.aionemu.gameserver.model.gameobjects.player.Player;
import com.aionemu.gameserver.questEngine.handlers.HandlerResult;
import com.aionemu.gameserver.questEngine.handlers.QuestHandler;
import com.aionemu.gameserver.questEngine.model.QuestDialog;
import com.aionemu.gameserver.questEngine.model.QuestEnv;
import com.aionemu.gameserver.questEngine.model.QuestState;
import com.aionemu.gameserver.questEngine.model.QuestStatus;
import com.aionemu.gameserver.services.QuestService;


/**
 * @author Romanz
 *
 */
public class _13060StrangeWater extends QuestHandler {

	private final static int questId = 13060;

	public _13060StrangeWater() {
		super(questId);
	}

    @Override
	public void register() {
		qe.registerQuestItem(182213452, questId);
		qe.registerQuestNpc(801096).addOnTalkEvent(questId);
		qe.registerQuestNpc(801095).addOnTalkEvent(questId);
		qe.registerQuestNpc(800936).addOnTalkEvent(questId);
		qe.registerQuestNpc(800937).addOnTalkEvent(questId);
		qe.registerQuestNpc(800938).addOnTalkEvent(questId);
	}

	@Override
	public boolean onDialogEvent(QuestEnv env) {
		Player player = env.getPlayer();
		QuestState qs = player.getQuestStateList().getQuestState(questId);
		QuestDialog dialog = env.getDialog();
		int targetId = env.getTargetId();

		if (qs == null || qs.getStatus() == QuestStatus.NONE) {
			if (targetId == 0) { 
				if (dialog == QuestDialog.ACCEPT_QUEST) {
					QuestService.startQuest(env);
					return closeDialogWindow(env);
				}
			}
		}
		else if (qs.getStatus() == QuestStatus.START) {
			if (targetId == 801096) {
				switch (dialog) {
					case START_DIALOG: {
						if (qs.getQuestVarById(0) == 0) {
							return sendQuestDialog(env, 1352);
						}
						else if (qs.getQuestVarById(0) == 2) {
							return sendQuestDialog(env, 2034);
						}
					}
					case STEP_TO_1: {
						removeQuestItem(env, 182213452, 1);
						return defaultCloseDialog(env, 0, 1);
					}
					case STEP_TO_3: {
						return defaultCloseDialog(env, 2, 3);
					}
				}
			}
		
			else if (targetId == 801095) {
				switch (dialog) {
					case START_DIALOG: {
							return sendQuestDialog(env, 1693);
					}
					case STEP_TO_2: {
						return defaultCloseDialog(env, 1, 2);
					}
				}
			}
			else if (targetId == 800936 || targetId == 800937 || targetId == 800938) {
				switch (dialog) {
					case START_DIALOG: {
							return sendQuestDialog(env, 2375);
					}
					case SELECT_REWARD: {
						changeQuestStep(env, 3, 3, true); // reward
						return sendQuestDialog(env, 5);
				}
            }
            }
		}
		else if (qs.getStatus() == QuestStatus.REWARD) {
			if (targetId == 800936 || targetId == 800937 || targetId == 800938)
			{
				return sendQuestEndDialog(env);
			}
		}
		return false;
	}
        
	@Override
	public HandlerResult onItemUseEvent(QuestEnv env, Item item) {
		Player player = env.getPlayer();
		QuestState qs = player.getQuestStateList().getQuestState(questId);
		if (qs == null || qs.getStatus() == QuestStatus.NONE) {
				return HandlerResult.fromBoolean(sendQuestDialog(env, 4));
		}
		return HandlerResult.FAILED;
	}
}
